petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMShellSetLocalToGlobalVecScatter

Sets a VecScatter context for local to global communication

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetLocalToGlobalVecScatter(DM dm, VecScatter ltog)

Logically Collective on DM Many br

Input Arguments Many br

| dm | - the shell DM Many br
| ltog | - the local to global VecScatter context Many br

Many br

### See Also

DMShellSetLocalToGlobal(), DMLocalToGlobalBeginDefaultShell(), DMLocalToGlobalEndDefaultShell()

Level:advanced
Location:src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages